## Introduction

Little Go is a free and open source iOS application that lets you play the game of Go on the iPhone or iPad. You can play against another human (on the same device), or against the computer. The computer player is powered by the open source software library [Fuego](http://fuego.sf.net/). The minimum requirement for running the most recent version of Little Go is iOS 5.0.

For more information about Little Go's features have a look at its [App Store page](http://itunes.apple.com/us/app/little-go/id490753989?ls=1&mt=8). A manual is also available on the "Help" tab when you launch the app.

Little Go is released under the [Apache License](http://www.apache.org/licenses/LICENSE-2.0) (2.0).


## Changes in this release

This is the Little Go feature release 0.11.0. A large number of changes have
been made, only the most important ones are listed here:

* Display coordinate labels
* Display move numbers
* Zoom the board up to a 3x zoom scale
* Archived games can now be exported to applications that are capable of processing .sgf files (e.g. Mail, DropBox)
* Games can now be imported from applications that are capable of exporting .sgf files (e.g. Mail, DropBox)
* The application now launches much faster
* Status text and activity indicator are now displayed in the navigation bar at the top of the screen

The [ChangeLog](doc/ChangeLog) document has more details.


## Getting and building the source code

If you are interested in Little Go as a developer, you can either clone the GitHub source code repository, or download the latest release snapshot of the source code. Once you have the source code you should start by reading the file [README.developer](doc/README.developer) - the quick-start guide at the top of the file should get you up and running with a minimum amount of hassle.


## Links and resources

* [Project website](http://littlego.herzbube.ch/)
* [App Store page](http://itunes.apple.com/us/app/little-go/id490753989?ls=1&mt=8)
* There is a public [Trello board](https://trello.com/board/little-go/4fd84c295027333d460dcc32) that shows what is currently in the works (don't expect daily updates)
* [This Ohloh page](https://www.ohloh.net/p/littlego) provides mildly interesting source code statistics
